L4linux compile errors..

Adam Lackorzynski adam at os.inf.tu-dresden.de
Wed Dec 20 15:44:41 CET 2006


On Wed Dec 20, 2006 at 11:05:08 +0900, Wankeun Jo wrote:
> I use L4Linux-2.6.18 version on pxa255 board. l4linux boots well and
> then now tried to expand my work for device drivers.
> I want to use the file in "l4linux/arch/arm/mach-pxa/*", so I add the
> files to be compiled in "l4linux-2.6/arch/l4/Makefile"
> And I link all the files of "include/asm-arm/arch-pxa/*.h" in
> "asm-l4/arch-arm/arch" for use.

You cannot do the PXA adaption this way. L4Linux is already adapted to a
platform, to the 'L4 platform', so there's only one.
If you want to get a specific device running, you could do it like done
in mach_integrator.c for example. That works at least for the network
card. Other devices should hopefully not be much different but I haven't
done much stuff with this yet.
Which device(s) do you want to use?

Adam                 adam at os.inf.tu-dresden.de
  Lackorzynski         http://os.inf.tu-dresden.de/~adam/

More information about the l4-hackers mailing list